These are chat archives for joefitzgerald/go-plus

20th
Jul 2015
Damon Zhao
@se77en
Jul 20 2015 03:59
hi everyone. my go-plus package is not working for the go std lib(eg: fmt) but do well with 3rd part lib(eg: gin) and my setting is:
Go: go1.4.2 darwin/amd64 (@/usr/local/bin/go)
GOPATH: /Users/AriesDevil/Documents/workspace/go_workspace
Cover Tool: /usr/local/Cellar/go/1.4.2/libexec/pkg/tool/darwin_amd64/cover
Vet Tool: /usr/local/Cellar/go/1.4.2/libexec/pkg/tool/darwin_amd64/vet
Format Tool: /usr/local/Cellar/go/1.4.2/libexec/bin/gofmt
Lint Tool: /Users/AriesDevil/Documents/workspace/go_workspace/bin/golint
Gocode Tool: /Users/AriesDevil/Documents/workspace/go_workspace/bin/gocode
Godef Tool: /Users/AriesDevil/Documents/workspace/go_workspace/bin/godef
Gocode Status: Enabled
Oracle Tool: /Users/AriesDevil/Documents/workspace/go_workspace/bin/oracle
Git: /usr/bin/git
Mercurial: /usr/local/Cellar/mercurial/3.4.1/bin/hg
PATH: /Users/AriesDevil/.gvm/vertx/current/bin:/Users/AriesDevil/.gvm/springboot/current/bin:/Users/AriesDevil/.gvm/lazybones/current/bin:/Users/AriesDevil/.gvm/jbake/current/bin:/Users/AriesDevil/.gvm/groovyserv/current/bin:/Users/AriesDevil/.gvm/groovy/current/bin:/Users/AriesDevil/.gvm/griffon/current/bin:/Users/AriesDevil/.gvm/grails/current/bin:/Users/AriesDevil/.gvm/gradle/current/bin:/Users/AriesDevil/.gvm/glide/current/bin:/Users/AriesDevil/.gvm/gaiden/current/bin:/Users/AriesDevil/.gvm/crash/current/bin:/Users/AriesDevil/.gvm/asciidoctorj/current/bin:/Users/AriesDevil/.composer/vendor/bin:/usr/local/bin:/usr/local/sbib:/usr/local/Cellar/php55/5.5.25/bin:/usr/local/opt/php55/sbin:/usr/local/opt/php55/bin:/Applications/Postgres.app/Contents/Versions/9.4/bin:/Users/AriesDevil/.dnx/runtimes/dnx-mono.1.0.0-beta4/bin:/Users/AriesDevil/.pyenv/shims:/Users/AriesDevil/anaconda/bin:/usr/local/opt/nvm/v0.11.14/bin:/Users/AriesDevil/.node/bin:/Users/AriesDevil/Library/Haskell/bin:/Users/AriesDevil/.cabal/bin:/Users/AriesDevil/Documents/workspace/go_workspace/bin:/opt/local/bin:/usr/local/Cellar:/opt/local/sbin:/Users/AriesDevil/Applications/sbt/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/Users/AriesDevil/bin:/Users/AriesDevil/Documents/workspace/nim_workspace/Nim/bin:/Users/AriesDevil/Documents/workspace/rust_workspace/racer/target/release:/Users/AriesDevil/Documents/workspace/scala_workspace/activator:/Users/AriesDevil/.rvm/bin
Atom: 1.0.2 (darwin x64 14.4.0)
Joe Fitzgerald
@joefitzgerald
Jul 20 2015 04:44
On the command line, run gocode set and ensure autobuild is true @se77en
Damon Zhao
@se77en
Jul 20 2015 05:43
@joefitzgerald run gocode set and it's show:
propose-builtins false
lib-path ""
autobuild false
how to fix it ?
Damon Zhao
@se77en
Jul 20 2015 08:58
@joefitzgerald fix it now by gocode set propose-builtins true and gocode set autobuild true. Many thx~
Gabriel Mazetto
@brodock
Jul 20 2015 12:42
why go-plus forces me to install mercurial? no one uses that!
Joe Fitzgerald
@joefitzgerald
Jul 20 2015 12:43
Many of the tools used to be hosted at mercurial repos (google code mostly)
I need to reassess whether there are any left
Gabriel Mazetto
@brodock
Jul 20 2015 12:49
:+1: